# Deletes a task schedule by id.

DELETE https://api.awork.com/api/v1/taskschedules/{taskScheduleId}

Deletes a task schedule by id. The schedule is removed from the task. <Check title="Required Permissions" icon="key">The user must have permission to access the requested resource.</Check>

## Request example

```sh
curl -X DELETE --globoff 'https://api.awork.com/api/v1/taskschedules/{taskScheduleId}' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `taskScheduleId`: string (required). The id of the task schedule.

## Response 204

No Content

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
